'use strict';

class Exception extends Error {

    constructor(message, code, previous) {
        super(message);

        this.name = this.constructor.name;

        this.status = code;
        this.code = code;

        this.type = 'ERROR';
        this.httpMessage = message;
        this.httpStatus = 500;
        this.silence = false;

        this.previous = previous;

        if(typeof Error.captureStackTrace === 'function') {
            Error.captureStackTrace(this, this.constructor);

        } else {
            this.stack = (new Error(message)).stack;
        }
    }
}

module.exports = Exception;