'use strict';

const Schema = require('./lib/schema');
const SchemaTypes = require('./lib/schema-types');
const EventEmitter = require('./lib/event-emitter');

module.exports = {
    // Instanced
    fs: require('./lib/fs'),
    object: require('./lib/object'),
    promise: require('./lib/promise'),
    process: require('./lib/process'),
    time: require('./lib/time'),
    reflection: require('./lib/reflection'),

    // Classes
    Schema,
    SchemaTypes,
    EventEmitter,

    errors: {
        Exceptions: require('./errors/exception'),
        NotFoundException: require('./errors/not-found-exception'),
    }
};